Bug 437579 - batch kprobe unregister
batch kprobe unregister
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
:
Depends On:
Blocks: 329781 RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-03-14 19:36 EDT by Frank Ch. Eigler
Modified: 2015-05-04 21:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This kernel update includes a kernel API extension that significantly improves shutdown of SystemTap scripts. This added kernel API extension eliminates unnecessary synchronization between individual probe removal operations. As a result, SystemTap can now process .stp scripts that have hundreds of kernel probes much faster. This is especially useful for administrators that use scripts with probes containing wildcards that capture numerous kernel events, such as probe syscall.* {}.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-03-14 19:36:53 EDT
For systemtap scripts that include hundreds of probes, it would be
advantageous to pull in this new -mm patch for RHEL5.3.  It shortens
the time for script shutdown from 1/HZ * number-of-probes to a much
smaller constant, by avoiding repeated sched_sync operations in the
middle.

In the current -mm tree, it's called the
"kprobes-add-unregister_kprobes-for-batch-registration.patch".
I don't have git commit# for it yet.
Comment 1 Frank Ch. Eigler 2008-06-10 21:47:05 EDT
Linus tree commits:
26b31c1908e02a316edfba08080373342e662c14
4a296e07c3a410c09b9155da4c2fa84a07964f38
9861668f747895608cea425f8457989d8dd2edf2
Comment 2 Masami Hiramatsu 2008-06-13 12:22:42 EDT
Here is a bug fix commit for this feature.

67dddaad5d8b8c5ee5b96a7e2f6cb0faad703865
Comment 6 Frank Ch. Eigler 2008-06-18 19:22:12 EDT
It is definitely noticeable, and a script with hundreds of probes is not that
unusual.  "probe syscall.* {}" involves several hundred; "probe
kernel.function("*wacky*wildcard*").call {} can involve thousands.
Comment 7 RHEL Product and Program Management 2008-07-03 15:05:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Don Zickus 2008-09-02 23:38:57 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 Ryan Lerch 2008-11-04 21:53:20 EST
This bug (feature request) has been marked for inclusion in the Red Hat Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this is not the same as 'the feature request was fulfilled')
Comment 14 Frank Ch. Eigler 2008-11-04 22:28:35 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This kernel API extension enables a significantly faster shutdown of systemtap scripts that use many kernel probes, by elimination of unnecessary synchronization between individual probe removal operations.
Comment 15 Don Domingo 2008-11-16 19:59:48 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-This kernel API extension enables a significantly faster shutdown of systemtap scripts that use many kernel probes, by elimination of unnecessary synchronization between individual probe removal operations.+This kernel update includes a kernel API extension that significantly improves shutdown of SystemTap scripts. This added kernel API extension eliminates unnecessary synchronization between individual probe removal operations. As a result, SystemTap can now process .stp scripts that have hundreds of kernel probes much faster. This is especially useful for administrators that use scripts with probes containing wildcards that capture numerous kernel events, such as probe syscall.* {}.
Comment 18 errata-xmlrpc 2009-01-20 15:24:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.